<?php 
	
if(!defined('PLX_ROOT')) exit;

plxToken::validateFormToken($_POST);

$plxPlugin->loadKikan();

if(!empty($_POST))
{
	$aFormat = array("Y-m-d","d/m/Y","d-m-Y"); // Les formats de date autorisés

	// On créé ou modifie un kikan
	if(isset($_POST["kikanId"]))
	{
		$kikanId 		= $_POST["kikanId"];
		$title 			= plxUtils::strCheck($_POST["title"]);

		if(empty($title))
		{
            plnToolBox::addMsg($plxPlugin->getLang('L_ERROR_TITLE'));
			if($kikanId == "nouveau") 	header("Location: plugin.php?p=plnKikan&newkikan");
			else 						header("Location: plugin.php?p=plnKikan&editkikan=".$kikanId);
			exit;
		}

		$description 	= plxUtils::strCheck($_POST["description"]);

		// Peut-on gérer la notion de kikan privé ?
		if(class_exists("plnExtendedJurisdiction"))
		{
			$isPrivate	 	= isset($_POST["isPrivate"]) ? true : false;
			$privateProfiles= plxUtils::strCheck($_POST["privateProfiles"]);
		}
		// Nouveau kikan ?
		if($kikanId == "nouveau")
		{
			$id=$plxPlugin->newKikan($title,$description);
			if(class_exists("plnExtendedJurisdiction"))
			{
				$plxPlugin->aKikan[$id]["isPrivate"] 		= $isPrivate;
				$plxPlugin->aKikan[$id]["privateProfiles"] 	= $privateProfiles;
			}
			$plxPlugin->aKikan[$id]["nbDates"]			= $plxPlugin->getParam('nbDates') == ''    ? 10 : $plxPlugin->getParam('nbDates');

			$typeKikan = plxUtils::strCheck($_POST["typeKikan"]);
			if($typeKikan =="kikan")
				$plxPlugin->aKikan[$id]["nbHoraires"]	= $plxPlugin->getParam('nbHoraires') == ''    ? 3 : $plxPlugin->getParam('nbHoraires');

			$plxPlugin->aKikan[$id]["typeKikan"] 		= $typeKikan;
			$plxPlugin->saveKikan();
			header('Location: plugin.php?p=plnKikan&editkikan='.$id);
		}
		else // Modification d'un kikan
		{
			$nbDates = plxUtils::strCheck($_POST["NbDates"]);
			$plxPlugin->aKikan[$kikanId]["title"] 		= $title;
			$plxPlugin->aKikan[$kikanId]["description"] = $description;
			$plxPlugin->aKikan[$kikanId]["nbDates"] 	= $nbDates;
			$plxPlugin->aKikan[$kikanId]["nbHoraires"] 	= plxUtils::strCheck($_POST["NbHoraires"]);
			if(class_exists("plnExtendedJurisdiction"))
			{
				$plxPlugin->aKikan[$kikanId]["isPrivate"] 	  	= $isPrivate;
				$plxPlugin->aKikan[$kikanId]["privateProfiles"] = $privateProfiles;
			}
			$plxPlugin->aKikan[$kikanId]["dates"]		= array();
			for($i=0;$i<$nbDates;$i++)
				if(!empty($_POST["date_".$i]))
				{
					$date = $_POST["date_".$i];
					foreach($aFormat as $format)
					{
						$d = DateTime::createFromFormat($format,$date);
						if($d !== false) break;
					}

					// Il faut valider que la date est cohérente
    				if($d && $d->format($format) == $date)
    				{
						$date = $d->format("Y-m-d");
						$plxPlugin->aKikan[$kikanId]["dates"][$date] = array();
						for($j=0;$j<$nbHoraires;$j++)
							if(!empty($_POST["horaire_".$i."_".$j]))
								$plxPlugin->aKikan[$kikanId]["dates"][$date][$j] = plxUtils::strCheck($_POST["horaire_".$i."_".$j]);
    				}
				}
			// S'il y a au moins 1 date dans le kikan, on peut éventuellement réfléchir à publier le kikan...
			if(isset($_POST["isPublié"]))
			{
				if(empty($plxPlugin->aKikan[$kikanId]["dates"]))
				{
		            plnToolBox::addMsg($plxPlugin->getlang("L_ADMIN_ERR_PUBLICATION"));
					$plxPlugin->aKikan[$kikanId]["status"] = 'brouillon';					
				}
				else
					$plxPlugin->aKikan[$kikanId]["status"] = 'publié';
			}
			else
				$plxPlugin->aKikan[$kikanId]["status"] = 'brouillon';

			$plxPlugin->saveKikan();
			header("Location: plugin.php?p=plnKikan&editkikan=".$kikanId);
		}
		exit;
	}
	// On veut supprimer des kikans
	if(!empty($_POST['selection']) and $_POST['selection']=='delete' and isset($_POST["checkbox"]))
	{
		foreach($_POST["checkbox"] as $kikanId)
			$plxPlugin->deleteKikan($kikanId);
		$plxPlugin->saveKikan();
		header("Location: plugin.php?p=plnKikan");
		exit;
	}
}

$Token =  plxToken::getTokenPostMethod();

// La page demandée :
$Type = "kikanlist";
$Page = "kikanlist";
if(isset($_GET))
{
	if(isset($_GET['newkikan']))
	{
		$Type	 = "newkikan";	
		$Page 	 = "editkikan";
	}
	elseif(isset($_GET['editkikan']))
	{
		$Type	 = "editkikan";	
		$Page 	 = "editkikan";
		$KikanId = $_GET['editkikan'];
	}
}
?>

<div class="plnKikan">

<h2><?php $plxPlugin->Lang('Gestion des kikans')?></h2>
	<nav role="navigation">
		<span>
			<a href="plugin.php?p=plnKikan"<?php if($Type == "kikanlist") echo ' class="selected"';?>>
			<?php $plxPlugin->lang('L_ADMIN_KIKAN_LIST')?></a>&nbsp;|&nbsp;
		</span>
		<span>
			<a href="plugin.php?p=plnKikan&newkikan"<?php if($Type == "newkikan") echo ' class="selected"';?>>
			<?php $plxPlugin->lang('L_ADMIN_NEW_KIKAN')?></a>
		</span>
	</nav>
	<?php include("admin_".$Page.".php"); ?>
</div>

