<?php 
if(!defined('PLX_ROOT')) exit;

# Control du token du formulaire
plxToken::validateFormToken($_POST);

# La classe plnExtendedJurisdiction existe-t-elle ?
# Si on a des arguments POST, c'est que l'utilisateur a demandé à enregistrer les nouveaux paramètres.
# On enregistre donc.
if(!empty($_POST)) 
{
	$plxPlugin->setParam('droitAcces',    		plxUtils::strCheck($_POST['droitAcces']),  		'string');
	$plxPlugin->setParam('inStaticList',  		plxUtils::strCheck($_POST['inStaticList']), 	'string');
	$plxPlugin->setParam('template',  	  		plxUtils::strCheck($_POST['template']),  		'string');		
	if(isset($_POST["isNoWithRedCircle"]))
		$plxPlugin->setParam('isNoWithRedCircle', 'true','string');
	else
		$plxPlugin->setParam('isNoWithRedCircle', 'false','string');

	if(plnKikan::$isPrivacyPossible)
	{
		if(isset($_POST["isPrivate"]))
			$plxPlugin->setParam('isPrivate', 'true','string');
		else
			$plxPlugin->setParam('isPrivate', 'false','string');
		$plxPlugin->setParam('privateProfiles', trim(plxUtils::strCheck($_POST['privateProfiles'])),'string');

	}
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plnKikan');
	exit;
}

# Quel template l'utilisateur utilise-t-il actuellement ?
$template 				= $plxPlugin->getParam('template')=='' ? 'static.php' : $plxPlugin->getParam('template');
# L'administrateur veut-il que le lien pointant vers les Kikan soit dans la liste des pages statiques ?
$inStaticList 			= $plxPlugin->getParam('inStaticList')=='' ? 'true' : $plxPlugin->getParam('inStaticList');
# Les Kikan sont-ils privés (plugin plnExtendedJurisdiction nécessaire)
$isPrivate				= ($plxPlugin->getParam("isPrivate") == 'true') ? true : false;
$isNoWithRedCircle		= ($plxPlugin->getParam("isNoWithRedCircle") == 'true') ? true : false;
$privateProfiles 		= $plxPlugin->getParam("privateProfiles");
$classPrivate			= plnKikan::$isPrivacyPossible ? '' : 'disabled';

# On récupère n'ensemble des templates des pages statiques
$files = plxGlob::getInstance(PLX_ROOT.'themes/'.$plxAdmin->aConf['style']);
if ($array = $files->query('/^static(-[a-z0-9-_]+)?.php$/')) {
	foreach($array as $k=>$v)
		$aTemplates[$v] = $v;
}

# On prépare la liste des profils utilisateurs possibles
$adroitAcces = array(	PROFIL_ADMIN 		=> 'Administrateur',
						PROFIL_MANAGER 		=> 'Gestionnaire',
						PROFIL_MODERATOR 	=> 'Modérateur',
						PROFIL_EDITOR 		=> 'Éditeur',
						PROFIL_WRITER 		=> 'Rédacteur',
					);

# On construit un array de "oui"/"non"
$aYesNo				= array();
$aYesNo["true"] 	= $plxPlugin->getlang('yes, always');
$aYesNo["private"] 	= $plxPlugin->getlang('yes, only if connected');
$aYesNo["false"] 	= $plxPlugin->getlang('no');

?>

<div class="plnKikan">
	<h2><?php echo $plxPlugin->getInfo('title') ?></h2>
	<br />
	<form action="parametres_plugin.php?p=plnKikan" method="post">
		<fieldset>
			<p class="field"><label for="id_droitAcces"><?php $plxPlugin->lang('L_CONFIG_DROIT_ACCES') ?>&nbsp;:</label></p>
			<?php plxUtils::printSelect('droitAcces', $adroitAcces, $plxPlugin->getParam('droitAcces')) ?>
			<a class="help" title="<?php $plxPlugin->lang('L_HELP_DROIT_ACCES')?>">&nbsp;</a>

			<p class="field"><label for="id_template"><?php $plxPlugin->lang('L_TEMPLATE') ?>&nbsp;:</label></p>
			<?php plxUtils::printSelect('template', $aTemplates, $template) ?>
			<a class="help" title="<?php $plxPlugin->lang('L_HELP_TEMPLATE')?>">&nbsp;</a>

			<p class="field"><label for="id_inStaticList"><?php $plxPlugin->lang('L_INSTATICLIST') ?>&nbsp;:</label></p>
			<?php plxUtils::printSelect('inStaticList', $aYesNo, $inStaticList) ?>
			<a class="help" title="<?php $plxPlugin->lang('L_HELP_INSTATICLIST')?>">&nbsp;</a>

			<p class="field"><label for="isNoWithRedCircle"><?php $plxPlugin->Lang('L_ISNOWITHREDCIRCLE')?>&nbsp;:</label></p>
			<input type="checkbox" name="isNoWithRedCircle" value="True" <?php if($isNoWithRedCircle === true) echo 'checked' ?> />
			<a class="help" title="<?php $plxPlugin->lang('L_ISNOWITHREDCIRCLE_HELP')?>">&nbsp;</a>

			<p class="field"><label class="<?php echo $classPrivate ?>" for="private"><?php $plxPlugin->Lang('L_ADMIN_PRIVATE_ALL')?>&nbsp;:</label></p>
			<input type="checkbox" name="isPrivate" value="True" <?php echo $classPrivate ?> <?php if($isPrivate === true) echo 'checked' ?> />
			<?php plxUtils::printInput("privateProfiles",$privateProfiles,'text','50-255',plnKikan::$isPrivacyPossible ? false : true, $classPrivate); ?>
			<?php if(plnKikan::$isPrivacyPossible) { ?>
				<a class="help" title="<?php $plxPlugin->lang('L_HELP_PRIVATE_ALL')?>">&nbsp;</a>
			<?php } else { ?>
				<a class="help" title="<?php $plxPlugin->lang('L_HELP_INSTALL_PRIVATE')?>">&nbsp;</a>
			<?php } ?>

			<p>
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
			</p>
		</fieldset>
	</form>
</div>
