<?php if(!defined('PLX_ROOT')) exit; ?>

<?php // On charge jquery que s'il ne l'est pas déjà ?>
<script>window.jQuery || document.write('<script src="<?php echo PLX_PLUGINS?>plnKikan/js/jquery.min.js"><\/script>'); </script>
<script src="<?php echo PLX_PLUGINS?>plnKikan/js/site_displayhelp.js"></script>

<?php
$plxMotor   = plxMotor::getInstance();
$plxPlugin  = $plxMotor->plxPlugins->aPlugins["plnKikan"];
$kikanId    = $plxPlugin->kikanId;  
if(!$plxPlugin->isSpecificAccessAllowed($kikanId))
    return;

# Cette fonction permet d'affiche une ligne de choix (feux tricolores).
# Si un argument est passé en paramètre, on considère que c'est le numéro de l'utilisateur,
# et donc que l'information à afficher est de type "modification du choix"
# On construit un "<tr>" complet
function displayEditChoice($aTimestamp,$plxPlugin,$Kikan,$User=0)
{
    // Si on demande explicitement à modifier la ligne d'un utilisateur, on prépare
    if($User != 0)
    {
        reset($Kikan['choix']);
        for($i=0;$i<$User-1;$i++)
            next($Kikan['choix']);
        $Name       = key($Kikan['choix']);
        $timestamps = current($Kikan['choix']);
    }
    else
    {
        // Si l'utilisateur est connecté via plnPrivateAccount, on met directement son nom
        // A condition qu'il n'y ait pas déjà une ligne à son nom.
        if(plnKikan::$isPrivacyPossible && plnExtendedJurisdiction::isConnected())
        {
            $plxMotor = plxMotor::getInstance();
            $Name = $plxMotor->plxPlugins->aPlugins['plnExtendedJurisdiction']->aAccounts[$_SESSION["plnExtendedJurisdiction_user"]]['login'];
            foreach($Kikan['choix'] as $UserName => $Dummy)
                if($UserName == $Name)
                {
                    $Name = '';
                    break;
                }
        }
        else
            $Name = '';
    }

    echo "<tr><td>";
    plxUtils::printInput("name",$Name,'text','18-50',false,'','Votre nom');
    echo "</td>";
    foreach($aTimestamp as $timestamp)
    {
        $Checked['red']       = '';
        $Checked['yellow']    = '';
        $Checked['green']     = '';
        if($User != 0 && isset($timestamps[$timestamp]))
        {
            switch($timestamps[$timestamp])
            {
                case '1'  : $Checked['green']  = ' checked';break;
                case '0.5': $Checked['yellow'] = ' checked';break;
                case '0'  : $Checked['red']    = ' checked';break;
            }
        }
        else
            $Checked['red'] = ' checked';
    ?>
        <td>
            <label>
                <input type="radio" name="<?php echo $timestamp ?>" value="0"<?php echo $Checked['red'];?> />
                <div alt="no" class="no"></div>
            </label>
            <label>
                <input type="radio" name="<?php echo $timestamp ?>" value="0.5"<?php echo $Checked['yellow'];?>  />
                <div alt="maybe" class="maybe"></div>
            </label>
            <label>
                <input type="radio" name="<?php echo $timestamp ?>" value="1"<?php echo $Checked['green'];?>  />
                <div alt="yes" class="yes"></div>
            </label>
        </td>
    <?php
        }
    ?>
    <td><input type="submit" name="submit" value="<?php $plxPlugin->Lang('L_SAVE')?>"/></td>
    </tr>
    <?php
}

$Kikan          = $plxPlugin->aKikan[$kikanId];

// est-on en mode édition ou juste vision ?
$isEdition      = (isset($_GET['voir'])) ? false : true;
// Est-ce qu'on veut modifier un choix existant ?
$isModification = ($isEdition & isset($_GET['edit'])) ? plxUtils::strCheck($_GET['edit']) : false;
// Est-ce qu'on veut supprimer une ligne ?
if(isset($_GET['supp']))
{
    $SuppNum = plxUtils::strCheck($_GET['supp']);
    $SuppName = plxUtils::strCheck($_GET['name']);
    foreach($Kikan['choix'] as $name => $timestamps)
    {
        $SuppNum--;
        if($SuppNum == 0 && $SuppName == plxUtils::title2url($name))
        {
            unset($Kikan['choix'][$name]);
            unset($plxPlugin->aKikan[$kikanId]['choix'][$name]);
            $plxPlugin->saveKikan();
        }
    }
}

// On construit le tableau des "mois"
$aMonth = array();
foreach($Kikan['dates'] as $date => $horaires)
{
    $Month = $plxPlugin->getLang(strftime("%B",strtotime($date)))." ".substr($date,0,4);
    if(isset($aMonth[$Month]))
        $aMonth[$Month] += count($horaires) == 0 ? 1 : count($horaires);
    else
        $aMonth[$Month]  = count($horaires) == 0 ? 1 : count($horaires);
}
?>

<div class="plnKikan">
    <article>
        <p><a href="index.php?plnKikan=<?php echo $Kikan['hash'];echo $isEdition ? '' : '&voir'?>"><?php echo plxUtils::strRevCheck($Kikan['title']);?></a></p>
        <p><?php echo plxUtils::strRevCheck($Kikan['description']);?></p>
    </article>
    <?php if($isEdition) { ?>

    <div id="plnKikanHelp">
        <span><?php $plxPlugin->lang("Aide - cliquez sur une phrase pour afficher l'aide correspondante");?></span>
        <a><?php $plxPlugin->lang("Qu'est-ce qu'un kikan&nbsp;?");?></a>
        <div><?php $plxPlugin->lang("KIKAN_DEFINITION");?></div>
        <a><?php $plxPlugin->lang("Comment ça s'utilise&nbsp;?");?></a>
        <div><?php $plxPlugin->lang("KIKAN_USER_HELP");?></div>
    </div>

    <?php } ?>
    <form action="index.php?plnKikan=<?php echo $Kikan['hash']?>" method="post">
        <input name="kikanId" type="hidden" value="<?php echo $kikanId;?>" />
    <table>
        <thead>
            <tr><th></th>
<?php    
    // On affiche les mois, sachant que le tableau des dates est donné trié ça se passera bien
    foreach($aMonth as $month => $colspan)
    {
        $colspan = $colspan > 1 ? ' colspan="'.$colspan.'"' : '';
        echo "<th ".$colspan.">".$month."</th>\n";
    }
    echo "<th></th></tr><tr><th></th>\n";

    // On affiche l'ensemble des dates
    foreach($Kikan['dates'] as $date => $horaires)
    {
        $colspan = count($horaires) > 1  ? ' colspan="'.count($horaires).'"' : '';
//        $rowspan = count($horaires) == 0 ? ' rowspan="2"' : '';
        echo "<th".$colspan.">".$plxPlugin->getLang(strftime("%A",strtotime($date)))." ".substr($date,8,2)."</th>\n";
    }
?>
            <th></th></tr>
            <tr><th></th>
<?php    
    // On affiche l'ensemble des horaires
    $aTimestamp = array();
    foreach($Kikan['dates'] as $date => $horaires)
    {
        foreach($horaires as $horaire)
        {
            echo "<th>".$horaire."</th>\n";
            $aTimestamp[] = $date."_".$horaire;
        }
        if(empty($horaires))
        {
            echo "<th></th>\n";
            $aTimestamp[] = $date;
        }
    }
?>
            <th></th></tr>
        </thead>
        <tbody>
<?php
    // On affiche une ligne de choix à faire si on est en mode edition
    if($isEdition and !$isModification)
        displayEditChoice($aTimestamp,$plxPlugin,$Kikan);

    // On prépare les sommes finales...
    $aSomme = array();
    foreach($aTimestamp as $timestamp)
        $aSomme[$timestamp] = 0;


    // On affiche l'ensemble des choix déjà effectués par d'autres utilisateurs
    $UserNum = 0;
    foreach($Kikan['choix'] as $name => $timestamps)
    {
        $UserNum++;
        if($UserNum == $isModification)
            displayEditChoice($aTimestamp,$plxPlugin,$Kikan,$UserNum);
        else
        {
            echo "<tr><td>".$name."</td>\n";
            foreach($aTimestamp as $timestamp)
            {
                $class      = 'nochoice';
                $contents   = '';
                if(isset($timestamps[$timestamp]))
                    switch($timestamps[$timestamp])
                    {
                        case '1'  : $class="yes";$aSomme[$timestamp]++;break;
                        case '0.5': $class="maybe";break;
                        case '0'  : $class = ($plxPlugin->getParam("isNoWithRedCircle") == "true") ? "no withredcircle" : "no";
                                    break;
                    }

                echo '<td class="'.$class.'">';
                echo '</td>';
            }
            echo '<td>';
            if($isEdition)
            {
                echo '<a href="?plnKikan='.$Kikan['hash'].'&edit='.$UserNum.'&name='.plxutils::title2url($name).'" class="editchoices" title="'.$plxPlugin->getLang("Editer les choix de cet utilisateur").'"></a>';
                echo '<a href="?plnKikan='.$Kikan['hash'].'&supp='.$UserNum.'&name='.plxutils::title2url($name).'" class="suppchoices" title="'.$plxPlugin->getLang("Supprimer cette ligne").'" onclick="return(confirm(\''.$plxPlugin->getLang("Confirmer la suppression ?").'\'));"></a>';
            }
            echo "</td></tr>\n";
        }
    }
?>
        <tr>
            <td>Somme</td>
<?php 
    foreach($aTimestamp as $timestamp)
        echo "<td>".$aSomme[$timestamp]."</td>\n";
?>
        <td></td></tr>
        </tbody>
    </table>
    <?php echo plxToken::getTokenPostMethod(); ?>
    </form> 
    <div class="legende"><span>Légende</span>&nbsp;:&nbsp;
        <div alt="no"       class="no"></div>       <?php $plxPlugin->Lang('Ne sera pas présent');?>
        <div alt="maybe"    class="maybe"></div>    <?php $plxPlugin->Lang('Sera peut-être présent, sans garantie');?>
        <div alt="yes"      class="yes"></div>      <?php $plxPlugin->Lang('Sera présent');?>
    </div>

</div>
