<h2>plnKikan</h2>

<style>
	p.definition 		{	padding:5px 5px 5px 20px;
							text-indent:-15px;
							font-style:italic;
							margin-bottom:10px;
							border:1px solid lightblue;
							border-radius:10px;
							background-color:#EFEFFF;
						}
	p.definition span 	{	text-decoration:underline;}
	p 					{	text-align:justify;margin-bottom:5px;}
	h3					{	font-size: 1.2em;margin:10px 0 5px 0;text-decoration:underline;color:blue;}
	h4					{	margin:10px 0 5px 0;text-decoration:underline;}
	ul 					{	margin-left:15px;margin-bottom:5px;}
</style>

<?php 
$plxAdmin  = plxAdmin::getInstance();
$plxPlugin = $plxAdmin->plxPlugins->aPlugins['plnKikan'];
$plxPlugin->lang('KIKAN_DEFINITION');
?>

<p>Le plugin plnKikan permet d'implémenter des kikans, au sens de la définition vue ci-dessus. Il se scinde en deux grandes fonctionnalités : Qui, Quand.</p>

<h3>Quand</h3>

<p>Le "Quand" est défini lors de la création du kikan. Cette création se fait via l'interface d'administration du kikan, 
	et n'est donc disponible que d'un utilisateur possédant un compte standard pluXml.<p>

<p>L'interface d'administration permet d'afficher la liste des kikans existants, d'accéder à un kikan particulier et de créer un nouveau kikan.</p>

<h4>Liste des kikans</h4>

<p>La liste des kikans affiche l'ensemble des kikans existants. Elle permet&nbsp;:</p>
<ul>
	<li>- de les supprimer (définitivement !),</li>
	<li>- de voir leur status de publication (brouillon ou publié),</li>
	<li>- d'afficher l'URL directe permettant d'accéder à la partie "Qui" de chaque kikan (s'il est publié),</li>
	<li>- d'afficher un lien permettant d'accéder à la partie "Quand" de chaque kikan,</li>
	<li>- d'afficher le statut de "privatisation" du kikan si cette option est disponible.</li>
</ul> 

<p>Tant qu'il n'est pas publié, un kikan n'est pas ouvert aux saisies du "Qui". On ne peut donc modifier que ses données générales 
	(nom, description) ainsi que l'ensemble des "Quand". Le mode "brouillon" permet donc de concevoir son kikan tranquillement avant de
	le diffuser.</p>

<p>On notera que l'URL d'accès à un kikan contient une chaîne aléatoire permettant d'empêcher de la "deviner". Ainsi, si le bouton
	"Les kikans" n'est pas présent sur le site, il sera impossible aux visiteurs non avertis d'arriver sur un kikan. </p>

<h4>Créer un nouveau kikan</h4>

<p>La création d'un nouveau kikan se fait via le formulaire de création et est très simple. Il requiert simplement un nom. 
	La description du kikan est facultative, et permet simplement d'ajouter des informations à destination des utilisateurs du kikan.
	Les champs "Nombre de dates possibles" et "Nombre d'horaires possibles" permettent de définir le nombre de champs de saisie à afficher. 
	Ces informations peuvent être modifiées à tout moment lors du paramétrage du kikan - et même après.</p>

<p>La partie "Kikan privé" propose de gérer le caractère privé du kikan, sous réserve que le plugin plnExtendedJurisdiction soit installé. 
	Elle permet de modifier les contraintes par rapport aux règles de confidentialité déjà définies lors de la configuration générale du kikan.</p>

<p>Une fois le kikan créé, il apparait dans la liste des kikans et on peut passer à l'étape d'édition des "Quand"</p>

<h4>Edition d'un kikan</h4>

<p>L'édition d'un kikan permet d'accéder à un formulaire offrant la possibilité de modifier l'ensemble des informations définies lors de la
	création du kikan, mais également de paramétrer les "Quand". C'est également ici qu'on peut définir le status du kikan (brouillon ou publié).</p>

<p>Un kikan ne peut être "publié" que si au moins une date a été paramétrée. Les horaires sont facultatifs.</p>

<h3>Qui</h3>

<p>Le "Qui" peut intervenir une fois le "Quand" défini et le kikan publié. Il se trouve côté site ; n'importe qui peut potentiellement
	accéder au kikan pour définir le "Qui" (alors que seuls les comptes pluXml classiques peuvent paramétrer le "Quand").</p>

<p>Suivant la configuration du plugin, un bouton "Les kikans" pourra apparaître sur le site. Si c'est le cas, il permettra d'accéder à l'ensemble
	des kikans publiés. Cette liste affiche les noms des kikans, leurs descriptions et deux liens permettant d'éditer ou de voir chaque kikan.</p>

<p>Accéder au kikan en modification permet de voir l'ensemble des dates et horaires paramétrés (le "Quand") ainsi que l'ensemble des choix
	effectués par d'autres utilisateurs (les autres "Qui"). Un espace est dédié à la saisie de la disponibilité du visiteur aux événements proposés,
	sous la forme d'un feu tricolore apparaissant sous chaque date/horaire. Par défaut, les feux rouges sont sélectionnés. Un feu rouge
	signifie "je ne peux être présent", un feu vert "je serai là" et un feu jaune "mouais, pas sûr, seulement si nécessaire".</p>

<p>N'importe qui peut modifier les choix de n'importe quel autre utilisateur.</p>

<h3>Prérequis</h3>

<p>Pour fonctionner plnKikan a besoin des plugins suivants :</p>
<ul>
	<li>- <strong>plnStaticPages</strong>&nbsp;: obligatoire, doit être activé et chargé <strong>après</strong> plnKikan</li>
	<li>- <strong>plnExtendedJurisdiction</strong>&nbsp;: facultatif (voir plus bas), doit être activé et chargé <strong>avant</strong> plnKikan</li>
</ul>

<h3>Configuration du plugin</h3>

<p>Le plugin propose une page de configuration. Elle permet de définir&nbsp;:</p>
<ul>
	<li>- Le profil des comptes pluXml habilités à créer des kikans,</li>
	<li>- le template du thème pour afficher les kikans côté site,</li>
	<li>- s'il faut afficher le bouton "Les kikans" sur le site (fortement déconseillé si une gestion de la privatisation des kikans n'est pas prévue),</li>
	<li>- si le plugin plnExtendedJurisdiction est installé, de définir les droits minimum nécessaires pour accéder aux kikans et au bouton 
		"Les Kikans" dans le cas où celui-ci apparait conditionnellement au profil du visiteur.
		Des contraintes différentes pourront être définies kikan par kikan dans l'interface d'administration.</li>
</ul>

<h3>Privatisation des kikans</h3>

<h4>Aucune gestion de privatisation</h4>

<p>Par défaut, tout le monde a accès aux kikans. Si le bouton "les kikans" est accessible sur le site, il est aisé à quiconque de 
	les voir et les modifier. C'est un choix risqué, puisque n'importe qui peut faire n'importe quoi. Il est fortement recommandé, dans le cas où
	on ne privatise pas les kikans, de ne pas afficher le bouton "les kikans" (il faudra alors fournir les URL d'accès aux kikans
	directement aux intéressés).</p>

<h4>Privatisation via plnExtendedJurisdiction</h4>

<p>Si le plugin plnExtendedJurisdiction est installé, activé et chargé avant le plugin plnKikan, alors il est possible de rendre
	privés tout ou partie des kikans. Les possibilités sont quasi illimitées, puisqu'on peut définir autant de profils que l'on veut.</p>

<h4>Privatisation de l'accès à la liste des kikans et privatisation par défaut des kikans</h4>

<p>On peut privatiser l'ensemble des kikans en cochant la case idoine dans la <a href="parametres_plugin.php?p=plnKikan">page de configuration</a> 
	des kikans. Dans ce cas, le
	bouton "les kikans", s'il est visible, renverra à une page d'interdiction d'accès si le visiteur n'est pas connecté. Bien entendu, 
	un visiteur connecté aura accès à la liste des kikans.</p>

<p>Si, toujours dans la page de configuration, on définit un ou plusieurs profils d'accès en plus de cocher la case, alors seuls les
	visiteurs disposant d'au moins un de ces profils pourront accéder à la liste des kikans.</p>

<p>Le plus simple est certainement de choisir l'option "seulement si l'utilisateur est connecté" pour l'affichage du bouton "Les Kikans", 
	de cette manière ce bouton n'apparaitra que si l'utilisateur a les droits d'accès à la liste des kikans.</p>

<p>Finalement, le profil de privatisation défini dans la page de configuration sera également celui appliqué par défaut aux kikans.</p>

<h4>Privatisation d'un kikan en particulier</h4>

<p>Chaque kikan dispose par ailleurs de son propre profil de privatisation. Ainsi, un kikan peut être rendu complètement public, conserver
	le profil par défaut décidé dans la page de configuration ou être rendu encore plus "privé". C'est au choix du créateur du kikan.</p>

<p>Dans le cas où un kikan en particulier aurait une contrainte plus forte que les autres, et
que le visiteur connecté, bien qu'ayant accès à la liste des kikans, ne dispose pas des droits suffisants pour accéder à ce kikan particulier,
alors le kikan n'apparaîtrait pas dans la liste.</p>

<h4>Conseils de gestion de la privatisation des kikans</h4>

<p>Il est fortement conseillé d'installer le plugin plnExtendedJurisdiction de manière à gérer finement les droits d'accès aux kikans et pour
	éviter les spams. Il est ensuite conseillé de rendre les kikans privés par défaut, même sans leur donner de profil particulier. 
	De même, n'afficher le bouton "les kikans" que pour les personnes connectées.</p>

<p>Avec cette configuration, on peut envisager deux grands types de kikans : </p>

<ul>
	<li>- Les kikans privés : ils seront à destination des membres du site. Les membres du site pourront voir tous les kikans, ce qui simplifiera
		grandement la manipulation de ces objets (d'un clic on accède à tous les kikans en cours, ce qui évite d'avoir à rechercher
		les URL fournies par mail...).</li>
	<li>- Les kikans publics : on veut pouvoir offrir la possibilité à n'importe qui de s'inscrire. La liste des kikans étant privée, les visiteurs
	 	non connectés ne peuvent passer par cette page pour accéder au kikan. Il faudra donc leur fournir l'URL d'accès directement. C'est
	 	le mode de fonctionnement actuel des sites fournissant ce genre de service (framadate par exemple).</li>
</ul>

